Asymmetric version of libgnome-keyring and its devel

Tommy He tommy.he at
Tue May 18 21:19:07 UTC 2010


In order to compile gnome-shell from git, I tried to yum the
libgnome-keyring-devel from repository. However, the result seems to
be  a bit odd:

[root at localhost ~]# yum install libgnome-keyring-devel
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Adding en_GB to language list
Loading mirror speeds from cached hostfile
 * fedora:
 * livna:
 * rpmfusion-free:
 * rpmfusion-free-updates:
 * rpmfusion-free-updates-testing:
 * rpmfusion-nonfree:
 * rpmfusion-nonfree-updates:
 * rpmfusion-nonfree-updates-testing:
 * updates:
 * updates-testing:
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package libgnome-keyring-devel.i686 0:2.30.0-2.fc13 set to be updated
--> Processing Dependency: libgnome-keyring = 2.30.0-2.fc13 for
package: libgnome-keyring-devel-2.30.0-2.fc13.i686
--> Finished Dependency Resolution
Error: Package: libgnome-keyring-devel-2.30.0-2.fc13.i686 (fedora)
           Requires: libgnome-keyring = 2.30.0-2.fc13
           Installed: libgnome-keyring-2.30.1-1.fc13.i686 (@updates-testing)
           Available: libgnome-keyring-2.30.0-2.fc13.i686 (fedora)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

rpm -qi shows the libgnome-keyring-2.30.1-1.fc13.i686 was installed
from updates-testing three weeks ago. But the above result seems to
say the latest devel package is still in fedora. Somehow the
latest devel package disappeared from updates-testing repo. :-(

If someone else has similar problem, I will file a bug for this.


Tommy He

Take a Deep Breath out of Windows

More information about the test mailing list